# [[ Header ]]

# Copyright (c) 1996 by SoftWorks.  All Rights Reserved.
# File:   tdb_6.tcl
# Author: Richard Schwaninger
# Date:   22/07/1996
# System: chiron.standalone
# RCS:    $Id$

# [endfold]

# - INSTRUCTIONS -------------------------------------
# This example works with tk code (that is code
# that will be executable with wish without
# requiring any modifications).

# First of all: tdb has to know that you will debug
# standard code. There are different ways to achive
# this:

# Only once: Use the menu option 'File/Load Startup File'
# and select tkinit.to (located in ??/SW/lib). You
# may use the commandline to achive the same:
# 'startup ??/SW/lib/tkinit.to'. You have to (re)load
# your source with 'run'.

# Permanently: go to the menu 'Setup/Config' and select
# 'Dbg/Startup' from the list. Modify the 'Current'
# entry to the location of the 'tkinit.to' file (see
# above). Save your changes - this will write 
# the configuration to ~/.SW/tdb.cfg. This needs
# restarting the debugger to take effect.

# You may use this setting to also debug plain tcl files.

# After you have loaded the programm you may set a 
# breakpoint to 'invoke' with 'break invoke'. This will
# pop you into the debugger as soon as you select one
# of the lines of the applications main window to show
# a specific demo.

# NOTE1: you may have to change the load path below
# if you have installed tk somewhere else (eg in 
# /usr/local/lib). This path refers to an original tk
# not the libs coming with tdb!

# NOTE2: if you get 
# '*** Error ***: invalid command name "winfo"'
# then you have not yet changed the startup file

# N.B. If your code keeps crashing remember this:
#                  DON'T PANIC
#        (wait 10 minutes, then panic).
# ------------------------------------------------------

source /usr/lib/tk4.1/demos/widget


# EOF
